powermail - Bug # 5527

Status: Resolved Priority: Must have
Author: Dirk Diebel Category: Frontend Plugin
Created: 2009-11-27 Assigned To: Andy Grunwald
Updated: 2010-10-21 Due date:

TYPO3 Version:

PHP Version:

Has patch:

Subject: Mandatory Field with Value 0 is not accepted

Description

it's not possible to mark a field as mandatory and accept it with value 0.

the bug is in pil/class.tx_powermail_mandatory.php line 111, where the value is getting checked but fails because of it's logic. 0 =

FALSE

Related issues:

duplicated by powermail - Bug # 7370: Mandatory text field validation - "digi...

duplicated by powermail - Bug # 1502: Mandatory check fails if value="0"

Closed 2010-04-19
Closed 2008-09-12

Associated revisions

Revision 39410 - 2010-10-21 22:25 - Andy Grunwald

Fixed bug #5527: Mandatory Field with Value 0 is not accepted

Revision 93fb4fcc - 2010-10-21 22:25 - Andy Grunwald

Fixed bug #5527: Mandatory Field with Value 0 is not accepted

git-svn-id: https://svn.typo3.org/TYPO3v4/Extensions/powermail/trunk@39410 735d13b6-9817-0410-8766-e36946ffe9aa

History

#1 - 2010-02-08 13:50 - Brian

| can confirm this behavior but this patch doesn't work for me.

First of all, it seems that the patch has reversed the new lines and old lines? Or maybe I'm just reading it wrong

Another thing, | had to change this line:
if (trim($this->sessionfields['uid'.$row['uid']])!=0){

To this:
if (trim($this->sessionfields['uid'.$row['uid']])!='0"){

- to make it work as expected

#2 - 2010-10-08 11:02 - Andy Grunwald
- Target version set to Powermail 1.5.6
https://svn.typo3.org/TYPO3v4/Extensions/powermail/trunk@39410

#3 - 2010-10-21 22:26 - Andy Grunwald
- Assigned To set to Andy Grunwald

Fixed in r39410

#4 - 2010-10-21 22:26 - Andy Grunwald

- Status changed from New to Resolved
bugfix_mandatoryNumber.diff 1.6 kB
